. .\0_globals.ps1

qlik context use $QlikSaaSContext


$spaces = Import-Csv -Path $DATA\spaces.csv -Header "Name", "Type", "Owner" | Select-Object -skip 1

#if users were created from 1_setusers, then there is a csv with the SaaSIDs in them we can use to set owners
#if(Test-Path -Path $DATA\users_saas.csv)
#{
#	Write-Host "saas users files exists"
#	$users = Import-Csv -Path $DATA\users_saas.csv
#

foreach ($space in $spaces)
{
	$name = $space.Name
	$type = $space.Type
	$owner = $space.Owner
	#$desc = $space.Description

	Write-Host $name, $type, $owner
	
	#create the space
	$SpaceId = $(qlik space create --name $name --type $type  -q)

	Write-Host SpaceId: $SpaceId
	#$space | Add-Member -NotePropertyName SpaceId -NotePropertyValue $SpaceId

	#try to set the owner
	$userId =  qlik user ls --email $owner -q
	#$userId =  qlik user ls --email $owner -q
	Write-Host UserId: $userId

	qlik space update $SpaceId --ownerId $userId

}


	#if($users)
	#{
	#	Write-Host $users
	#	Write-Host "searching for $owner"
	#	#$ownerId = $users | ?{$_.userId -eq $owner}
	#	$SaaSuserId = $users | where-object -Property userId -EQ $owner
		
	#	#Write-Host $SaaSuserId.SaaSuserId
	#	if($SaaSuserId)
	#	{	
	#		Write-Host "found $SaaSuserId"
	#		#Write-Host $SpaceId
	#		qlik space update $SpaceId --ownerId $SaaSuserId.SaaSuserId
	#	}
	#}


#$spaces | Export-Csv -Path $DATA\spaces_saas.csv -NoTypeInformation