. .\0_globals.ps1

qlik context use $QlikSaaSContext

#place your extension zip files into the .\Data\Extensions folder
#run this script, any successful upload moves the extension to the Complete folder
#console will provide error messages for any that cannot upload

$themes = Get-ChildItem -Path .\Data\Themes -Name -Exclude Complete
Write-Host $extenthemessions

foreach ($theme in $themes)
{
		$r = qlik theme create -f Data\Themes\$theme
		if($r)
		{
			#success
			Move-Item -Path .\Data\Themes\$theme .\Data\Themes\Complete
		}
}